<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/producto_variacion.php';
$response = array();

if (!isset($_POST['activo'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$activo = $_POST['activo']; 

$producto_variaciones = ProductoVariacion::mdlGetProductoVariaciones($activo);

if (!$producto_variaciones) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron producto_variaciones';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $producto_variaciones;
echo json_encode($response);